\name{ConfigGetDatasetInfo}
\alias{ConfigGetDatasetInfo}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
ConfigGetDatasetInfo(matching_entries)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{matching_entries}{
%%     ~~Describe \code{matching_entries} here~~
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (matching_entries) 
{
    experiment_defaults <- c("$DEFAULT_EXP_MAIN_PATH$", "$DEFAULT_EXP_FILE_PATH$", 
        "$DEFAULT_GRID$", "$DEFAULT_NC_VAR_NAME$", "$DEFAULT_SUFFIX$", 
        "$DEFAULT_VAR_MIN$", "$DEFAULT_VAR_MAX$")
    observation_defaults <- c("$DEFAULT_OBS_MAIN_PATH$", "$DEFAULT_OBS_FILE_PATH$", 
        "$DEFAULT_NC_VAR_NAME$", "$DEFAULT_SUFFIX$", "$DEFAULT_VAR_MIN$", 
        "$DEFAULT_VAR_MAX$")
    info <- NULL
    for (entry in matching_entries) {
        if (is.null(info)) {
            info <- entry[-1:-2]
            if (length(info) == 7) {
                info[which(info == "*")] <- experiment_defaults[which(info == 
                  "*")]
            }
            else {
                info[which(info == "*")] <- observation_defaults[which(info == 
                  "*")]
            }
        }
        else {
            info[which(entry[-1:-2] != "*")] <- entry[-1:-2][which(entry[-1:-2] != 
                "*")]
        }
    }
    info
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
